#include "scene.h"
#include "ray.h"

void Scene::populate(){
    spheres.clear();
    spheres.push_back(Sphere(
        Vec3(0.0f, -100.0f, 10.0f),
        100
    ));
    spheres.push_back(Sphere(
        Vec3(1.0f, 0.0f, 3.0f),
        1.5
    ));
    spheres.push_back(Sphere(
        Vec3(3.0f, 2.0f, 2.5f),
        0.5
    ));

    spheres.push_back(Sphere(
        Vec3(-1.0f, 1.0f, 4.0f),
        2.5
    ));

    light_pos = Vec3(50, 50, 20); //-z -> alle spalle
}
bool Scene::is_in_shadow(Vec3 point)const{
    Ray r(point, light_pos - point);
    for(const Sphere &s: spheres){
        if (r.intersect(s) != MISS) return true;
    }
    return false;
}
